/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-20 11:04:17.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.controller;

import cn.com.qmth.examcloud.app.model.DeviceRecord;
import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.service.DeviceRecordService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

/**
 * 设备访问记录Controller
 */
@Controller
@RequestMapping("/device/record")
public class DeviceRecordController {
    private static Logger log = LoggerFactory.getLogger(DeviceRecordController.class);
    @Autowired
    private DeviceRecordService deviceRecordService;

    @RequestMapping(value = "/list", method = RequestMethod.GET)
    public String main() {
        return "deviceRecord";
    }

    @ResponseBody
    @RequestMapping(value = "/list", method = RequestMethod.POST)
    public Result<List<DeviceRecord>> list() throws Exception {
        return deviceRecordService.getDeviceRecordList();
    }

}