/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 17:49:05.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.utils.HttpUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 考务业务服务接口
 */
@Service
public class ExamAdminService {
    private static Logger log = LoggerFactory.getLogger(ExamAdminService.class);
    @Autowired
    private PropertyService propertyService;

    public Result getPracticeExamList(String key, String token, String studentId) throws Exception {
        //封装请求参数
        final String requestUrl = String.format("%s/api/ecs_exam_work/exam_student/query?student_id=%s", propertyService.getExamAdminUrl(), studentId);
        Result<String> result = HttpUtils.doGet(requestUrl, key, token);
        if (result.isSuccess()) {
            String data = result.getData();
            //替换掉图片标签内容
            data = HttpUtils.replaceImages(data);
            //过滤掉为空的属性
            data = HttpUtils.filterNullAttributes(data);
            result.setData(data);
        }
        return result;
    }

    public Result getExamInfo(String key, String token, Long examId) throws Exception {
        //封装请求参数
        final String requestUrl = String.format("%s/api/ecs_exam_work/exam/%s", propertyService.getExamAdminUrl(), examId);
        Result<String> result = HttpUtils.doGet(requestUrl, key, token);
        if (result.isSuccess()) {
            //过滤掉为空的属性
            result.setData(HttpUtils.filterNullAttributes(result.getData()));
        }
        return result;
    }

}